VERA_LADDR := $9F20
VERA_MADDR := $9F21
VERA_HADDR := $9F22
VERA_DATA0 := $9F23
CHKIN := $FFC6
CLRCHN := $FFCC
MACPTR := $FF44
GETIN := $FFE4
sprite_attr_1 = $70
sprite_attr_2 = $72
R0L=2
R0H=3
R1L=4
R1H=5
R14L=$1E
R14H=$1F
R15L=$20

.org $0700
    ldx #4
	jsr CHKIN
    lda #192
    sta R0L
    lda R15L
    beq Hipage


    stz R15L
    stz VERA_LADDR
    lda #$00
    sta VERA_MADDR
    bra Hiaddr

Hipage:

    lda #1
    sta R15L
    stz VERA_LADDR
    lda #$00
    sta VERA_MADDR
Hiaddr:
    lda #%00010000
    sta VERA_HADDR
loop1:
	ldx #$23
	ldy #$9F
	lda #128
	sec
	jsr MACPTR
	dec R0L
	bne loop1
    jsr CLRCHN
	rts







